ランタイム: Mix::IO::IManager Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::IO::IManager Class Referenceabstract

IO マネージャインターフェース More...

`#include <IManager.h>`

Inheritance diagram for Mix::IO::IManager:
[legend]
Collaboration diagram for Mix::IO::IManager:
[legend]

## Public Member Functions

virtual const wchar_t * | GetRootDirectoryPath (void) const =0
| ルートディレクトリのパスを取得します More...
virtual const wchar_t * | GetUserDirectoryPath (void) const =0
| ユーザーディレクトリのパスを取得します More...
virtual Boolean | MountArchive (const wchar_t *pFilePath)=0
| 指定したアーカイブ内のファイルを使用できるようにします More...
virtual Boolean | MountDirectory (const wchar_t *pDirectoryPath)=0
| 指定したディレクトリ内のファイルを使用できるようにします More...
virtual Boolean | MountFile (const wchar_t *pFilePath)=0
| 指定したファイルを使用できるようにします More...
virtual Boolean | ExistsFile (const wchar_t *pFilePath)=0
| 指定したファイルの有無を確認します More...
virtual Boolean | CreateBufferFromFile (const wchar_t *pFilePath, Mix::Memory::IBuffer **ppBuffer)=0
| ファイルバッファを作成します More...
virtual Boolean | CreateFileReader (const wchar_t *pFilePath, Mix::IO::IReader **ppReader)=0
| ファイルリーダーを作成します More...
virtual Boolean | CreateBufferedReader (const wchar_t *pFilePath, Mix::IO::IReader **ppReader)=0
| バッファドリーダーを作成します More...
virtual Boolean | CreateBufferedReader (const wchar_t *pFilePath, Mix::Memory::IBuffer *pBuffer, Mix::IO::IReader **ppReader)=0
| バッファドリーダーを作成します More...
virtual Boolean | CreateFileWriter (const wchar_t *pFilePath, Mix::IO::IWriter **ppWriter)=0
| ファイルライターを作成します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IManager (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

IO マネージャインターフェース

Note
  「ファイル」「ディレクトリ」へのアクセスはマウントを通して行われます。
  マウントしていないディレクトリ、ファイルへのアクセスはできないようになっています。※

## Constructor & Destructor Documentation

virtual Mix::IO::IManager::~IManager | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::IO::IManager::GetRootDirectoryPath | ( | void |  | ) | const

pure virtual

ルートディレクトリのパスを取得します

Returns
  ルートディレクトリのパスを返します

virtual const wchar_t* Mix::IO::IManager::GetUserDirectoryPath | ( | void |  | ) | const

pure virtual

ユーザーディレクトリのパスを取得します

Returns
  ユーザーディレクトリのパスを返します

virtual Boolean Mix::IO::IManager::MountArchive | ( | const wchar_t * | pFilePath | ) |

pure virtual

指定したアーカイブ内のファイルを使用できるようにします

Parameters

  [in] | pFilePath | アーカイブのファイルパス

Returns
  成功した場合は True を返します

virtual Boolean Mix::IO::IManager::MountDirectory | ( | const wchar_t * | pDirectoryPath | ) |

pure virtual

指定したディレクトリ内のファイルを使用できるようにします

Parameters

  [in] | pDirectoryPath | ディレクトリパス

Returns
  成功した場合は True を返します

virtual Boolean Mix::IO::IManager::MountFile | ( | const wchar_t * | pFilePath | ) |

pure virtual

指定したファイルを使用できるようにします

Parameters

  [in] | pFilePath | ファイルパス

Returns
  成功した場合は True を返します

virtual Boolean Mix::IO::IManager::ExistsFile | ( | const wchar_t * | pFilePath | ) |

pure virtual

指定したファイルの有無を確認します

Parameters

  [in] | pFilePath | ファイルパス

Returns
  存在している場合は True を返します

Note
  指定されたファイルがマウントされていない場合はでも False を返します。

virtual Boolean Mix::IO::IManager::CreateBufferFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Memory::IBuffer ** | ppBuffer
| ) |  |

pure virtual

ファイルバッファを作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppBuffer | 作成したファイルバッファを渡す Mix::Memory::IBuffer インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::IO::IManager::CreateFileReader | ( | const wchar_t * | pFilePath,
|  | Mix::IO::IReader ** | ppReader
| ) |  |

pure virtual

ファイルリーダーを作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppReader | 作成したファイルリーダーを渡す Mix::IO::IReader インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::IO::IManager::CreateBufferedReader | ( | const wchar_t * | pFilePath,
|  | Mix::IO::IReader ** | ppReader
| ) |  |

pure virtual

バッファドリーダーを作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppReader | 作成したバッファドリーダーを渡す Mix::IO::IReader インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  バッファドリーダーはメモリ内のファイルを操作します

virtual Boolean Mix::IO::IManager::CreateBufferedReader | ( | const wchar_t * | pFilePath,
|  | Mix::Memory::IBuffer * | pBuffer,
|  | Mix::IO::IReader ** | ppReader
| ) |  |

pure virtual

バッファドリーダーを作成します

Parameters

  [in] | pFilePath | 名前
  [in] | pBuffer | 読み取り元のバッファを表す Mix::Memory::IBuffer インターフェースのポインタ
  [out] | ppReader | 作成したバッファリーダーを渡す Mix::IO::IReader インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  バッファドリーダーはメモリ内のファイルを操作します

virtual Boolean Mix::IO::IManager::CreateFileWriter | ( | const wchar_t * | pFilePath,
|  | Mix::IO::IWriter ** | ppWriter
| ) |  |

pure virtual

ファイルライターを作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppWriter | 作成したファイルライターを渡す Mix::IO::IWriter インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  ファイルライターの作成と同時に、ファイルをマウント ( MountFile ) します。

The documentation for this class was generated from the following file:

- Mix/IO/IManager.h